Bug 43892 - Xamarin.Forms.TabbedPage with FormsAppCompatActivity OnAppearing Troubles
Summary: Xamarin.Forms.TabbedPage with FormsAppCompatActivity OnAppearing Troubles
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-31 08:06 UTC by Christian S
Modified: 2016-09-21 18:59 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Example Project (215.88 KB, application/x-zip-compressed)
2016-08-31 08:55 UTC, Christian S
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Christian S 2016-08-31 08:06:43 UTC
When using a TabbedPage with FormsAppCompatActivity the wrong OnAppearing Method is called.
Clicking on the first tab calls the OnAppearing-Method of the first and the second Page.
Clicking the second page calls the OnAppearing-Method of the third page and so on.

Please see the attached example XF-Project.
Comment 1 Christian S 2016-08-31 08:55:07 UTC
Created attachment 17270 [details]
Example Project
Comment 2 Paul DiPietro [MSFT] 2016-08-31 16:27:53 UTC
I believe that this particular issue should be fixed by a commit which was merged yesterday to fix #43774 (https://github.com/xamarin/Xamarin.Forms/pull/328) and will be in a future release. If you find it isn't, please feel free to reopen this.
Comment 3 Parmendra Kumar 2016-09-21 18:59:21 UTC
I have checked this issue with Forms version 2.3.3.152-pre2 and observed that this issue has been fixed.

Hence closing this issue.

Thanks.